For the complete documentation index, see llms.txt. This page is also available as Markdown.

Make a stocktaking registration

A stocktaking registration can only be done while stocktaking has status IN_PROGRESS.

Required permissions: STOCKTAKING

post
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/register
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
stocktakingUidstringRequired

Reference to a Stocktaking.

Pattern: ^[A-Za-z0-9-_]+
Body

Schema for a list of stocktaking registrations

Responses
204

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/register
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/register HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 82

{
  "items": [
    {
      "productUid": "text",
      "quantity": 1,
      "serialnumber": "text",
      "note": "text"
    }
  ]
}
204

OK

No content

Last updated

Was this helpful?